function sig_c = critical_stress_aniso_auto(L, charact, dsig_0, dsig_min)
%Automatically calculate critical stress for a Frank-Read Source
%Input Parameters:
%        segment length: L
%        charact = 'e' or 's' (edge or screw dislocation)
%        disg_0: initial applied stress increment
%        disg_min: ultimate stress precision
sig_0 = 0;
dsig = dsig_0;
%
sig_c = critical_stress_aniso(L, charact, sig_0, dsig);

%
while (dsig>dsig_min),
    dsig = dsig/10;
    sig_c = critical_stress_aniso(L, charact, sig_c - dsig*10, dsig);
end