function [vnvec,fn,fseg] = drndt(t,rnvec,flag,C,a,links,connectivity,appliedstress,mobility,elasticinteraction,Ec)

%unscramble rn
rn=[reshape(rnvec,length(rnvec)/3,3),flag];

%nodal driving force
%fseg=segforcevec(C,a,rn,links,appliedstress,0,elasticinteraction,Ec);
fseg=segforcevec_quad(C,a,rn,links,appliedstress,0,elasticinteraction,Ec);

%mobility function
[vn,fn]=feval(mobility,fseg,rn,links,connectivity,[],[]);

%Fixed nodes (flag~=0, 5, 6) are not allowed to move.
%The flag 5 and 6 are used in DDLab_ThinFilm.
vn=vn.*((rn(:,4)==0 | rn(:,4)==5 | rn(:,4)==6)*[1 1 1]);  

%make up the last
vnvec=reshape(vn,length(vn(:,1))*3,1);
