function [M,N] = rhcoord(t)
%create a right-handed coordinate system (M,N,t)
%
%t: (3x1) row vector (need not to be normalized)

if norm(t) == 0
    error('t cannot be a zero vector!');
    return
end

%generate auxiliary vector t_aux
t_aux = rand(1,3);

%generate M from t and t_aux
if norm(t_aux) ~= 0
    M = cross(t,t_aux);
    M = M/norm(M);%normalized
else
    t_aux = rand(1,3);
    M = cross(t,t_aux);
    M = M/norm(M);
end

%obtain N
N = cross(t,M);
N = N/norm(N);
    