function [fs1,fs2] = seg_force_self(A,B,b,C,meth,a)
%calculate the self force on segment AB due to itself

%A,B: (1x3) row vector, the starting and ending point of a segment
%b:(1x3) Burgers vector
%C: (3x3x3x3, rank-4 tensor) elastic constant tensor
%meth: method used to compute QBS, 'm' or 'i'
%a: dislocation core radius

L = norm(B-A);
xi = (B-A)/L;

%compute stress factor for collinear case
fac_co_stress = fac_co(xi,b,C,meth,a);

%compute self force
fs1 = -cross((fac_co_stress*b'),xi)*(log(L/a)+a/L-1);
fs2 = -fs1;