function [f1,f2]=selfforcevec_core(mu,nu,a,segments,elasticinteraction,Ec)
%
%compute the self force for isotropic media
%contribution from core energy is included
%
%(vectorized version)
%format of segments array:
% (n0,n1,bx,by,bz,x0,y0,z0,x1,y1,z1)

Diff=segments(:,9:11)-segments(:,6:8);
 
L=sqrt(sum(Diff.*Diff,2));
Linv=1./L;
   
t=Diff.*[Linv Linv Linv];
    
omninv=1/(1-nu);
    
bs=sum(segments(:,3:5).*t,2);
bs2=bs.*bs;
bev=segments(:,3:5)-[bs bs bs].*t;
be2=sum(bev.*bev,2);
    
% Core Self Interaction Force - Torsional Contribution
Score=2.*nu*omninv*Ec.*bs;
f2=[Score Score Score].*bev;
    
% Core Self Interaction Force - Longitudinal Component
LTcore=(bs2 + be2.*omninv).*Ec;
f2=f2-[LTcore LTcore LTcore].*t;
f1=-f2;