function [Q,B,S]=stroh(t, C, meth,Nint)
%compute Q B S matrix using given formalism
%method = 'm', matrix formalism
%method = 'i', integral formalism

%t: (1x3 vector) direction of the infinite dislocation line
%C: (3x3x3x3 rank-4 tensor) elastic constant tensor
%method: (string) computing formalism

%matrix formalism is default
if nargin < 3
    [Q,B,S]=stroh_m(t,C);
    return
end

if meth == 'm'
    [Q,B,S]=stroh_m(t,C);
elseif exist('Nint')
    [Q,B,S]=stroh_i(t,C,Nint);
else
    [Q,B,S]=stroh_i(t,C);
end