function [Q_p,B_p,S_p] = stroh_p(t,n,b,C,meth,Nint)
%calculate the derivative of angular stress factor, SIGMA, wrt theta
%
% t: (1x3) unit row vector, indicating dislocation orientation
% n: (1x3) unit row vector perpendicular to t, used to define theta
% C: (3x3x3x3, rank-4 tensor) elastic constant tensor
% meth: matrix for integral formalism
%Nint: number of integration points, for integral formalism only

%meth must be specified

if meth == 'm'
     [Q_p,B_p,S_p] = stroh_p_m(t,n,b,C);return
elseif exist('Nint')
    [Q_p,B_p,S_p] = stroh_p_i(t,n,b,C,Nint);return
else
    [Q_p,B_p,S_p] = stroh_p_i(t,n,b,C);return
end